This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 865846 - QPID-4369: HA backup brokers core dump in benchmark test.
QPID-4369: HA backup brokers core dump in benchmark test.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: qpid-cpp (Show other bugs)
Development
Unspecified Unspecified
high Severity unspecified
: 2.3
: ---
Assigned To: Alan Conway
MRG Quality Engineering
: OtherQA
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 11:46 EDT by Alan Conway
Modified: 2013-03-19 12:39 EDT (History)
3 users (show)

See Also:
Fixed In Version: qpid-cpp-0.18-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:39:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Alan Conway 2012-10-12 11:46:13 EDT
Description of problem: Backup brokers in a HA cluster show errors and dump core.


Version-Release number of selected component (if applicable):
0.18-mrg branch: e0bd483
trunk: f367a03

How reproducible: 100%


Steps to Reproduce:
1. Start a 3 node HA cluster.
2. run: qpid-cpp-benchmark --repeat 10 -b 20.0.10.33 --summarize -q 6 -s 3 -r 3 -m 1000 --connection-options {tcp-nodelay:false,reconnect:true,heartbeat:1}

  
Actual results: 
Backup brokers core dump. Their logs show errors like :
2012-10-12 11:16:56 [HA] error Backup queue benchmark-0: Execution error: not-found: Exchange not found: qpid.replicator-benchmark-0 


Expected results: No crash or errors on backups.

Note You need to log in before you can comment on or make changes to this bug.